JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.emails.retry('id');
console.log(response.delivery_id);curl --request POST \
--url https://inbound.new/api/e2/emails/{id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_id": "<string>",
"delivery_id": "<string>"
}
'import requests
url = "https://inbound.new/api/e2/emails/{id}/retry"
payload = {
"endpoint_id": "<string>",
"delivery_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"success": true,
"message": "<string>",
"delivery_id": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Emails
Retry email delivery
Retry delivery of a received email. Can retry to a specific endpoint, retry a specific failed delivery, or retry to all configured endpoints.
POST
/
api
/
e2
/
emails
/
{id}
/
retry
JavaScript
import Inbound from 'inboundemail';
const client = new Inbound({
apiKey: process.env['INBOUND_API_KEY'], // This is the default and can be omitted
});
const response = await client.emails.retry('id');
console.log(response.delivery_id);Authorizations
Your Inbound API key. Include it in the Authorization header as: Bearer
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Was this page helpful?
⌘I